Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.search
Class HyperSearchOperationNode

    java.lang.Object
      org.gjt.sp.jedit.search.HyperSearchOperationNode

    public class HyperSearchOperationNode

extends java.lang.Object

Constructor Summary
`HyperSearchOperationNode(java.lang.String searchString, SearchMatcher searchMatcher)`

Method Summary
`void` | `cacheResultNodes(javax.swing.tree.DefaultMutableTreeNode operNode)`
`SearchMatcher` | `getSearchMatcher()`
`java.lang.String` | `getSearchString()`
`void` | `insertTreeNodes(javax.swing.JTree resultTree, javax.swing.tree.DefaultMutableTreeNode operNode)`
`boolean` | `isTreeViewDisplayed()`
`static void` | `removeNodeFromCache(javax.swing.tree.MutableTreeNode mnode)`
`void` | `restoreFlatNodes(javax.swing.JTree resultTree, javax.swing.tree.DefaultMutableTreeNode operNode)`
`void` | `setTreeViewDisplayed(boolean treeViewDisplayed)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HyperSearchOperationNode

    public HyperSearchOperationNode(java.lang.String searchString,
                                    SearchMatcher searchMatcher)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isTreeViewDisplayed

    public boolean isTreeViewDisplayed()

### setTreeViewDisplayed

    public void setTreeViewDisplayed(boolean treeViewDisplayed)

### restoreFlatNodes

    public void restoreFlatNodes(javax.swing.JTree resultTree,
                                 javax.swing.tree.DefaultMutableTreeNode operNode)

### cacheResultNodes

    public void cacheResultNodes(javax.swing.tree.DefaultMutableTreeNode operNode)

### removeNodeFromCache

    public static void removeNodeFromCache(javax.swing.tree.MutableTreeNode mnode)

### insertTreeNodes

    public void insertTreeNodes(javax.swing.JTree resultTree,
                                javax.swing.tree.DefaultMutableTreeNode operNode)

### getSearchMatcher

    public SearchMatcher getSearchMatcher()

### getSearchString

    public java.lang.String getSearchString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD